--- linux-linaro-3.4-2012.05-1_original/drivers/staging/mausb/drivers/mausb_const.h	1970-01-01 08:00:00.000000000 +0800
+++ linux-linaro-3.4-2012.05-1_cavium/drivers/staging/mausb/drivers/mausb_const.h	2014-11-28 12:39:00.572447000 +0800
@@ -0,0 +1,109 @@
+/* Name: mausb_const.h 
+ * Description: This header describes the Media Agnostic USB constants 
+ * that must be known by the both the host and device side drivers. 
+ * 
+ * This file is provided under a dual BSD/GPLv2 license. When using or 
+ * redistributing this file, you may do so under either license. 
+ * 
+ * GPL LICENSE SUMMARY 
+ * 
+ * Copyright(c) 2014 Intel Corporation. 
+ * 
+ * This program is free software; you can redistribute it and/or modify it 
+ * under the terms of version 2 of the GNU General Public License as published 
+ * by the Free Software Foundation. 
+ * 
+ * This program is distributed in the hope that it will be useful, but 
+ * WITHOUT ANY WARRANTY; without even the implied warranty of 
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
+ * General Public License for more details. 
+ * 
+ * Contact Information: 
+ * Sean Stalley, sean.stalley [at] intel 
+ * Stephanie Wallick, stephanie.s.wallick [at] intel 
+ * 2111 NE 25th Avenue 
+ * Hillsboro, Oregon 97124 
+ * 
+ * BSD LICENSE 
+ * 
+ * Copyright(c) 2014 Intel Corporation. 
+ * 
+ * Redistribution and use in source and binary forms, with or without 
+ * modification, are permitted provided that the following conditions 
+ * are met: 
+ * 
+ * Redistributions of source code must retain the above copyright 
+ notice, this list of conditions and the following disclaimer. 
+ * Redistributions in binary form must reproduce the above copyright 
+ notice, this list of conditions and the following disclaimer in 
+ the documentation and/or other materials provided with the 
+ distribution. 
+ * Neither the name of Intel Corporation nor the names of its 
+ contributors may be used to endorse or promote products derived 
+ from this software without specific prior written permission. 
+ 
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
+ * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
+ * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
+ * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
+ * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
+ * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
+ * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
+ * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY 
+ * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
+ * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
+ */ 
+ 
+#ifndef __MAUSB_CONST_H 
+#define __MAUSB_CONST_H 
+ 
+/* MA USB protocol constants per Table 68 of the MA USB Spec */ 
+#define MAUSB_DATA_CHANNEL_DELAY 400 /* temp value */ 
+#define MAUSB_MGMT_CHANNEL_DELAY ((100 * HZ)/1000 + 1) 
+#define MAUSB_MGMT_RESPONSE_DELAY ((5 * HZ)/1000 + 1) /* 5 msec */ 
+#define MAUSB_MGMT_RT_DELAY \ 
+ ((MAUSB_MGMT_RESPONSE_DELAY + (2 * MAUSB_MGMT_CHANNEL_DELAY))) 
+#define MAUSB_TRANSFER_RESPONSE_TIME 10 /* 10 msec */ 
+#define MAUSB_TRANSFER_TIMEOUT \ 
+ (MAUSB_TRANSFER_RESPONSE_TIME + (2 * MAUSB_DATA_CHANNEL_DELAY)) 
+#define MAUSB_TRANSFER_KEEP_ALIVE \ 
+ (MAUSB_TRANSFER_RESPONSE_TIME + MAUSB_DATA_CHANNEL_DELAY) 
+#define MAUSB_DEFAULT_KEEP_ALIVE 0 
+#define MAUSB_MAX_TRANSFER_LIFETIME 1000 /* 1 sec */ 
+#define MAUSB_TRANSFER_REPEAT_TIME 10 /* 10 msec */ 
+ 
+#define MAUSB_MAX_REQ_ID ((1 << 8) - 1) 
+#define MAUSB_MAX_SEQ_NUM ((1 << 24) - 1) 
+#define MAUSB_MAX_DIALOG_TOKEN ((1 << 10) - 1) 
+#define MAUSB_MIN_CONTROL_BUF_SIZE 4104 /* Bytes */ 
+ 
+ 
+/* MA USB protocol variables per Table 69 of the MA USB Spec */ 
+#define MAUSB_BULK_TRANSFER_RETRIES 10 /* min value is 5 */ 
+#define MAUSB_CONTROL_TRANSFER_RETRIES 10 /* min value is 5 */ 
+#define MAUSB_INTERRUPT_TRANSFER_RETRIES 10 /* min value is 3 */ 
+#define MAUSB_MGMT_TRANSFER_RETRIES 4 /* min value is 4 */ 
+#define MAUSB_TRANSFER_SETUP_RETRIES 4 /* min value is 4 */ 
+ 
+ 
+/* MA USB constants not explicitly defined in MA USB Spec */ 
+#define MAUSB_HALF_REQ_ID ((MAUSB_MAX_REQ_ID + 1) >> 2) 
+#define MAUSB_HALF_SEQ_NUM ((MAUSB_MAX_SEQ_NUM + 1) >> 2) 
+#define MAUSB_MAX_OUTSTANDING_SEQ_NUM (1 << 23) 
+ 
+/* Largest packet size (in bytes) that the medium can handle */ 
+#define MAUSB_MAX_PACKET_SIZE 300 
+ 
+/* Used to parse get_status control requests */ 
+#define EP_REQ (USB_TYPE_STANDARD | USB_RECIP_ENDPOINT) 
+#define EP_IN_REQ (USB_DIR_IN | USB_TYPE_STANDARD | USB_RECIP_ENDPOINT) 
+#define DEV_IN_REQ (USB_DIR_IN | USB_TYPE_STANDARD | USB_RECIP_DEVICE) 
+#define INTF_IN_REQ (USB_DIR_IN | USB_TYPE_STANDARD | USB_RECIP_INTERFACE) 
+ 
+/* Used for generating the mass_id for the device */ 
+#define MASS_ID_MIN 1 
+#define MASS_ID_MAX 254 
+ 
+ 
+#endif 
diff '--exclude=.svn' -Naur linux-linaro-3.4-2012.05-1_original/drivers/staging/mausb/drivers/mausb_hcd.c linux-linaro-3.4-2012.05-1_cavium/drivers/staging/mausb/drivers/mausb_hcd.c
